|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStyleOptionTabBarBase Class Reference
[QtGui module]

The QStyleOptionTabBarBase class is used to describe the base of a tab bar, i.e. the part that the tab bar usually overlaps with. More...

     #include <QStyleOptionTabBarBase>

Inherits QStyleOption.

- List of all members, including inherited members

### Public Types

- enum StyleOptionType { Type }
- enum StyleOptionVersion { Version }

### Public Functions

- QStyleOptionTabBarBase ()
- QStyleOptionTabBarBase ( const QStyleOptionTabBarBase & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- QRect selectedTabRect
- QTabBar::Shape shape
- QRect tabBarRect

- 7 public variables inherited from QStyleOption

## Detailed Description

The QStyleOptionTabBarBase class is used to describe the base of a tab bar, i.e. the part that the tab bar usually overlaps with.

QStyleOptionTabBarBase contains all the information that QStyle functions need to draw the tab bar base. Note that this is only drawn for a standalone QTabBar (one that isn't part of a QTabWidget).

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOption and QTabBar::drawBase().

## Member Type Documentation

### enum QStyleOptionTabBarBase::StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionTabBarBase::Type` | `SO_TabBarBase` | The type of style option provided (SO_TabBarBase for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### enum QStyleOptionTabBarBase::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionTabBarBase::Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally don't need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleOptionTabBarBase::QStyleOptionTabBarBase ()

Construct a QStyleOptionTabBarBase, initializing the members vaiables to their default values.

### QStyleOptionTabBarBase::QStyleOptionTabBarBase ( const QStyleOptionTabBarBase & other )

Constructs a copy of other.

## Member Variable Documentation

### QRect QStyleOptionTabBarBase::selectedTabRect

This variable holds the rectangle containing the selected tab.

This rectangle is contained within the tabBarRect. The default value is a null rectangle, i.e. a rectangle with both the width and the height set to 0.

### QTabBar::Shape QStyleOptionTabBarBase::shape

This variable holds the shape of the tab bar.

The default value is QTabBar::RoundedNorth.

### QRect QStyleOptionTabBarBase::tabBarRect

This variable holds the rectangle containing all the tabs.

The default value is a null rectangle, i.e. a rectangle with both the width and the height set to 0.